Public Member Functions | Protected Attributes | List of all members
libetonyek::IWORKStylesContext Class Reference

`#include <IWORKStylesContext.h>`

Inheritance diagram for libetonyek::IWORKStylesContext:

## Public Member Functions
| IWORKStylesContext (IWORKXMLParserState &state, bool anonymous)
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Attributes
const bool | m_anonymous
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Constructor & Destructor Documentation

## ◆ IWORKStylesContext()

libetonyek::IWORKStylesContext::IWORKStylesContext | ( | IWORKXMLParserState & | state,
|  | bool | anonymous
| ) |  |

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKStylesContext::element | ( | int | name | ) |
| override

## ◆ endOfElement()

void libetonyek::IWORKStylesContext::endOfElement | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_anonymous

const bool libetonyek::IWORKStylesContext::m_anonymous
| protected

The documentation for this class was generated from the following files:

- IWORKStylesContext.h
- IWORKStylesContext.cpp